MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
ScopeExitGuard< F > Class Template Reference

Internal class. More...

`#include <ScopeExit.hxx>`

Inheritance diagram for ScopeExitGuard< F >:
[legend]
Collaboration diagram for ScopeExitGuard< F >:
[legend]

## Public Member Functions
| ScopeExitGuard (F &&f)
| ScopeExitGuard (ScopeExitGuard &&src)
| ~ScopeExitGuard ()
| ScopeExitGuard (const ScopeExitGuard &)=delete
ScopeExitGuard & | operator= (const ScopeExitGuard &)=delete

## Detailed Description

### template<typename F>
class ScopeExitGuard< F >

Internal class.

Do not use directly.

Definition at line 41 of file ScopeExit.hxx.

## Constructor & Destructor Documentation

template<typename F >

ScopeExitGuard< F >::ScopeExitGuard | ( | F && | f | ) |
| inline explicit

Definition at line 45 of file ScopeExit.hxx.

template<typename F >

ScopeExitGuard< F >::ScopeExitGuard | ( | ScopeExitGuard< F > && | src | ) |
| inline

Definition at line 47 of file ScopeExit.hxx.

template<typename F >

ScopeExitGuard< F >::~ScopeExitGuard | ( |  | ) |
| inline

Definition at line 52 of file ScopeExit.hxx.

template<typename F >

ScopeExitGuard< F >::ScopeExitGuard | ( | const ScopeExitGuard< F > & |  | ) |
| delete

## Member Function Documentation

template<typename F >

ScopeExitGuard& ScopeExitGuard< F >::operator= | ( | const ScopeExitGuard< F > & |  | ) |
| delete

The documentation for this class was generated from the following file:

- util/ScopeExit.hxx